The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a database and tools to fix them.
History of vulnerabilities analyzed by Vigil@nce:

cybersecurity alert CVE-2017-17790

Ruby: code execution via lazy_initialze

Synthesis of the vulnerability

An attacker can use a vulnerability via lazy_initialze() of Ruby, in order to run code.
Severity: 2/4.
Creation date: 28/12/2017.
Identifiers: bulletinjan2019, CVE-2017-17790, DLA-1221-1, DLA-1222-1, DLA-1421-1, DSA-4259-1, FEDORA-2018-1fffa787e7, FEDORA-2018-40ed78700c, RHSA-2018:0378-01, RHSA-2018:0583-01, RHSA-2018:0584-01, RHSA-2018:0585-01, USN-3528-1, VIGILANCE-VUL-24876.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

An attacker can use a vulnerability via lazy_initialze() of Ruby, in order to run code.
Full Vigil@nce bulletin... (Free trial)

cybersecurity note CVE-2017-17843 CVE-2017-17844 CVE-2017-17845

Enigmail: multiple vulnerabilities

Synthesis of the vulnerability

An attacker can use several vulnerabilities of Enigmail.
Severity: 2/4.
Number of vulnerabilities in this bulletin: 6.
Creation date: 28/12/2017.
Identifiers: CVE-2017-17843, CVE-2017-17844, CVE-2017-17845, CVE-2017-17846, CVE-2017-17847, CVE-2017-17848, DLA-1219-1, DSA-4070-1, FEDORA-2017-54288fb74e, FEDORA-2017-856a149a4c, openSUSE-SU-2017:3419-1, openSUSE-SU-2017:3427-1, VIGILANCE-VUL-24875.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

An attacker can use several vulnerabilities of Enigmail.
Full Vigil@nce bulletin... (Free trial)

weakness bulletin 24874

Joomla B2j Contact: vulnerability

Synthesis of the vulnerability

A vulnerability of Joomla B2j Contact was announced.
Severity: 2/4.
Creation date: 21/12/2017.
Identifiers: VIGILANCE-VUL-24874.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

A vulnerability of Joomla B2j Contact was announced.
Full Vigil@nce bulletin... (Free trial)

threat announce 24873

WordPress Feed Statistics: open redirect

Synthesis of the vulnerability

An attacker can deceive the user of WordPress Feed Statistics, in order to redirect him to a malicious site.
Severity: 1/4.
Creation date: 21/12/2017.
Identifiers: VIGILANCE-VUL-24873.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

The Feed Statistics plugin can be installed on WordPress.

However, the web service accepts to redirect the victim with no warning, to an external site indicated by the attacker.

An attacker can therefore deceive the user of WordPress Feed Statistics, in order to redirect him to a malicious site.
Full Vigil@nce bulletin... (Free trial)

threat note CVE-2017-17807

Linux kernel: privilege escalation via construct_get_dest_keyring

Synthesis of the vulnerability

An attacker can bypass restrictions via construct_get_dest_keyring() of the Linux kernel, in order to escalate his privileges.
Severity: 2/4.
Creation date: 21/12/2017.
Identifiers: CERTFR-2018-AVI-018, CERTFR-2018-AVI-165, CERTFR-2018-AVI-170, CERTFR-2018-AVI-198, CVE-2017-17807, DLA-1232-1, DSA-4073-1, DSA-4082-1, USN-3617-1, USN-3617-2, USN-3617-3, USN-3619-1, USN-3619-2, USN-3620-1, USN-3620-2, USN-3632-1, VIGILANCE-VUL-24872.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

An attacker can bypass restrictions via construct_get_dest_keyring() of the Linux kernel, in order to escalate his privileges.
Full Vigil@nce bulletin... (Free trial)

computer vulnerability CVE-2017-17806

Linux kernel: buffer overflow via HMAC

Synthesis of the vulnerability

An attacker can generate a buffer overflow via HMAC of the Linux kernel, in order to trigger a denial of service, and possibly to run code.
Severity: 2/4.
Creation date: 21/12/2017.
Identifiers: CERTFR-2018-AVI-005, CERTFR-2018-AVI-014, CERTFR-2018-AVI-018, CERTFR-2018-AVI-029, CERTFR-2018-AVI-048, CERTFR-2018-AVI-083, CERTFR-2018-AVI-165, CERTFR-2018-AVI-170, CERTFR-2018-AVI-198, CVE-2017-17806, DLA-1232-1, DSA-4073-1, DSA-4082-1, openSUSE-SU-2018:0022-1, openSUSE-SU-2018:0023-1, RHSA-2018:2948-01, SUSE-SU-2018:0010-1, SUSE-SU-2018:0011-1, SUSE-SU-2018:0012-1, SUSE-SU-2018:0040-1, SUSE-SU-2018:0069-1, SUSE-SU-2018:0131-1, SUSE-SU-2018:0171-1, SUSE-SU-2018:0437-1, SUSE-SU-2018:0525-1, USN-3583-1, USN-3583-2, USN-3617-1, USN-3617-2, USN-3617-3, USN-3619-1, USN-3619-2, USN-3632-1, VIGILANCE-VUL-24871.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

An attacker can generate a buffer overflow via HMAC of the Linux kernel, in order to trigger a denial of service, and possibly to run code.
Full Vigil@nce bulletin... (Free trial)

security note CVE-2017-17805

Linux kernel: use after free via Salsa20

Synthesis of the vulnerability

An attacker can force the usage of a freed memory area via Salsa20 of the Linux kernel, in order to trigger a denial of service, and possibly to run code.
Severity: 2/4.
Creation date: 21/12/2017.
Identifiers: CERTFR-2018-AVI-005, CERTFR-2018-AVI-014, CERTFR-2018-AVI-018, CERTFR-2018-AVI-029, CERTFR-2018-AVI-048, CERTFR-2018-AVI-083, CERTFR-2018-AVI-165, CERTFR-2018-AVI-170, CERTFR-2018-AVI-198, CERTFR-2019-AVI-390, CVE-2017-17805, DLA-1232-1, DSA-4073-1, DSA-4082-1, openSUSE-SU-2018:0022-1, openSUSE-SU-2018:0023-1, RHSA-2018:2948-01, RHSA-2018:3083-01, RHSA-2018:3096-01, RHSA-2019:2473-01, SUSE-SU-2018:0010-1, SUSE-SU-2018:0011-1, SUSE-SU-2018:0012-1, SUSE-SU-2018:0040-1, SUSE-SU-2018:0069-1, SUSE-SU-2018:0131-1, SUSE-SU-2018:0171-1, SUSE-SU-2018:0437-1, SUSE-SU-2018:0525-1, USN-3617-1, USN-3617-2, USN-3617-3, USN-3619-1, USN-3619-2, USN-3620-1, USN-3620-2, USN-3632-1, VIGILANCE-VUL-24870.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

An attacker can force the usage of a freed memory area via Salsa20 of the Linux kernel, in order to trigger a denial of service, and possibly to run code.
Full Vigil@nce bulletin... (Free trial)

weakness note CVE-2017-15217

ImageMagick: memory leak via ReadSGIImage

Synthesis of the vulnerability

An attacker can create a memory leak via ReadSGIImage() of ImageMagick, in order to trigger a denial of service.
Severity: 2/4.
Creation date: 21/12/2017.
Identifiers: CVE-2017-15217, openSUSE-SU-2017:3420-1, SUSE-SU-2017:3388-1, USN-3681-1, VIGILANCE-VUL-24869.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

An attacker can create a memory leak via ReadSGIImage() of ImageMagick, in order to trigger a denial of service.
Full Vigil@nce bulletin... (Free trial)

computer threat announce CVE-2017-14138

ImageMagick: memory leak via ReadWEBPImage

Synthesis of the vulnerability

An attacker can create a memory leak via ReadWEBPImage() of ImageMagick, in order to trigger a denial of service.
Severity: 2/4.
Creation date: 21/12/2017.
Identifiers: CVE-2017-14138, openSUSE-SU-2017:3420-1, SUSE-SU-2017:3388-1, VIGILANCE-VUL-24868.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

An attacker can create a memory leak via ReadWEBPImage() of ImageMagick, in order to trigger a denial of service.
Full Vigil@nce bulletin... (Free trial)

vulnerability bulletin CVE-2017-14531

ImageMagick: memory leak via ReadSUNImage

Synthesis of the vulnerability

An attacker can create a memory leak via ReadSUNImage() of ImageMagick, in order to trigger a denial of service.
Severity: 2/4.
Creation date: 21/12/2017.
Identifiers: CVE-2017-14531, openSUSE-SU-2017:3420-1, SUSE-SU-2017:3378-1, USN-3681-1, VIGILANCE-VUL-24867.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

An attacker can create a memory leak via ReadSUNImage() of ImageMagick, in order to trigger a denial of service.
Full Vigil@nce bulletin... (Free trial)

   

Direct access to page 1 21 41 61 81 101 121 141 161 181 201 221 241 261 281 301 321 341 361 381 401 421 441 461 481 501 521 541 561 581 601 621 641 661 681 701 721 741 761 781 801 821 841 861 881 901 921 941 961 981 1001 1021 1041 1061 1081 1101 1121 1141 1161 1181 1201 1221 1241 1261 1281 1301 1321 1341 1361 1381 1401 1421 1441 1461 1481 1501 1521 1541 1561 1581 1601 1621 1641 1661 1681 1701 1721 1741 1761 1781 1801 1821 1841 1861 1881 1901 1921 1941 1961 1981 2001 2021 2041 2061 2081 2101 2121 2141 2161 2181 2201 2221 2241 2261 2281 2301 2321 2341 2346 2347 2348 2349 2350 2351 2352 2353 2354 2356 2358 2359 2360 2361 2362 2363 2364 2365 2366 2381 2401 2421 2441 2461 2481 2501 2521 2541 2561 2581 2601 2621 2641 2661 2681 2701 2721 2741 2761 2781 2801 2821 2841 2861 2881 2901 2921 2924